Upstream information

CVE-2022-37026 at MITRE

Description

In Erlang/OTP before 23.3.4.15, 24.x before 24.3.4.2, and 25.x before 25.0.2, there is a Client Authentication Bypass in certain client-certification situations for SSL, TLS, and DTLS.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having critical severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 9.4
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:L
Attack Vector Network Network
Attack Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact High High
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1205318 [IN_PROGRESS]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
openSUSE Leap 15.3
  • erlang >= 22.3-150300.3.3.1
  • erlang-debugger >= 22.3-150300.3.3.1
  • erlang-debugger-src >= 22.3-150300.3.3.1
  • erlang-dialyzer >= 22.3-150300.3.3.1
  • erlang-dialyzer-src >= 22.3-150300.3.3.1
  • erlang-diameter >= 22.3-150300.3.3.1
  • erlang-diameter-src >= 22.3-150300.3.3.1
  • erlang-doc >= 22.3-150300.3.3.1
  • erlang-epmd >= 22.3-150300.3.3.1
  • erlang-et >= 22.3-150300.3.3.1
  • erlang-et-src >= 22.3-150300.3.3.1
  • erlang-jinterface >= 22.3-150300.3.3.1
  • erlang-jinterface-src >= 22.3-150300.3.3.1
  • erlang-observer >= 22.3-150300.3.3.1
  • erlang-observer-src >= 22.3-150300.3.3.1
  • erlang-reltool >= 22.3-150300.3.3.1
  • erlang-reltool-src >= 22.3-150300.3.3.1
  • erlang-src >= 22.3-150300.3.3.1
  • erlang-wx >= 22.3-150300.3.3.1
  • erlang-wx-src >= 22.3-150300.3.3.1
Patchnames:
openSUSE-SLE-15.3-2022-4215
openSUSE Leap 15.4
  • erlang >= 22.3-150300.3.3.1
  • erlang-debugger >= 22.3-150300.3.3.1
  • erlang-debugger-src >= 22.3-150300.3.3.1
  • erlang-dialyzer >= 22.3-150300.3.3.1
  • erlang-dialyzer-src >= 22.3-150300.3.3.1
  • erlang-diameter >= 22.3-150300.3.3.1
  • erlang-diameter-src >= 22.3-150300.3.3.1
  • erlang-doc >= 22.3-150300.3.3.1
  • erlang-epmd >= 22.3-150300.3.3.1
  • erlang-et >= 22.3-150300.3.3.1
  • erlang-et-src >= 22.3-150300.3.3.1
  • erlang-jinterface >= 22.3-150300.3.3.1
  • erlang-jinterface-src >= 22.3-150300.3.3.1
  • erlang-observer >= 22.3-150300.3.3.1
  • erlang-observer-src >= 22.3-150300.3.3.1
  • erlang-reltool >= 22.3-150300.3.3.1
  • erlang-reltool-src >= 22.3-150300.3.3.1
  • erlang-src >= 22.3-150300.3.3.1
  • erlang-wx >= 22.3-150300.3.3.1
  • erlang-wx-src >= 22.3-150300.3.3.1
Patchnames:
openSUSE-SLE-15.4-2022-4215
openSUSE Tumbleweed
  • erlang >= 25.1.1-1.1
  • erlang-debugger >= 25.1.1-1.1
  • erlang-debugger-src >= 25.1.1-1.1
  • erlang-dialyzer >= 25.1.1-1.1
  • erlang-dialyzer-src >= 25.1.1-1.1
  • erlang-diameter >= 25.1.1-1.1
  • erlang-diameter-src >= 25.1.1-1.1
  • erlang-doc >= 25.1.1-1.1
  • erlang-epmd >= 25.1.1-1.1
  • erlang-et >= 25.1.1-1.1
  • erlang-et-src >= 25.1.1-1.1
  • erlang-jinterface >= 25.1.1-1.1
  • erlang-jinterface-src >= 25.1.1-1.1
  • erlang-observer >= 25.1.1-1.1
  • erlang-observer-src >= 25.1.1-1.1
  • erlang-reltool >= 25.1.1-1.1
  • erlang-reltool-src >= 25.1.1-1.1
  • erlang-src >= 25.1.1-1.1
  • erlang-wx >= 25.1.1-1.1
  • erlang-wx-src >= 25.1.1-1.1
Patchnames:
openSUSE Tumbleweed GA erlang-25.1.1-1.1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 erlang Affected
SUSE Enterprise Storage 7 erlang Released
SUSE Enterprise Storage 7.1 erlang Released
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS erlang Released
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS erlang Released
SUSE Linux Enterprise High Performance Computing 15 SP3 erlang Released
SUSE Linux Enterprise High Performance Computing 15 SP4 erlang Released
SUSE Linux Enterprise Module for Server Applications 15 SP3 erlang Released
SUSE Linux Enterprise Module for Server Applications 15 SP4 erlang Released
SUSE Linux Enterprise Server 15 SP2-LTSS erlang Released
SUSE Linux Enterprise Server 15 SP3 erlang Released
SUSE Linux Enterprise Server 15 SP4 erlang Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 erlang Released
SUSE Linux Enterprise Server for SAP Applications 15 SP2 erlang Released
SUSE Linux Enterprise Server for SAP Applications 15 SP3 erlang Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 erlang Released
SUSE Manager Proxy 4.1 erlang Released
SUSE Manager Proxy 4.2 erlang Released
SUSE Manager Proxy 4.3 erlang Released
SUSE Manager Retail Branch Server 4.1 erlang Released
SUSE Manager Retail Branch Server 4.2 erlang Released
SUSE Manager Retail Branch Server 4.3 erlang Released
SUSE Manager Server 4.1 erlang Released
SUSE Manager Server 4.2 erlang Released
SUSE Manager Server 4.3 erlang Released
SUSE OpenStack Cloud 8 erlang Affected
SUSE OpenStack Cloud 9 erlang Affected
SUSE OpenStack Cloud Crowbar 8 erlang Affected
SUSE OpenStack Cloud Crowbar 9 erlang Affected
openSUSE Leap erlangReleased


SUSE Timeline for this CVE

CVE page created: Wed Sep 21 20:00:28 2022
CVE page last modified: Tue Nov 29 04:40:24 2022